slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVGetMatrix

Retrieves the matrix representation of the inner product.

### Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVGetMatrix(BV bv,Mat *B,PetscBool *indef)

Not Collective

### Input Parameter

| bv | - the basis vectors context

### Output Parameters

| B | - the matrix of the inner product (may be NULL)
| indef | - the flag indicating if the matrix is indefinite

### See Also

BVSetMatrix()

### Level

advanced

### Location

src/sys/classes/bv/interface/bvbasic.c
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages